# -*- coding: utf-8 -*-
from __future__ import unicode_literals

import gtk

import gettext
from gettext import gettext as _
gettext.textdomain('tagplayer')

import logging
log = logging.getLogger("TagPlayer")

class MusicDirectory(gtk.HBox):
	#elements:
	#	dir_path - path to music directory
	#	chooser - gtk.filechooserbutton
	#	remove_button - generic gtk button to remove whole element
	
	def __init__(self, dir_path):
		super(MusicDirectory, self).__init__()
		self.dir_path = dir_path
		log.debug('MusicDirectory widget created for %s'%dir_path)
		self.fcb = gtk.FileChooserButton(gettext.gettext('Select a Library Location'))
		self.fcb.set_action(gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER)#gtk.FILE_CHOOSER_ACTION_CREATE_FOLDER
		self.fcb.set_current_folder(dir_path)
		self.pack_start(self.fcb)
		self.but = gtk.Button(gtk.STOCK_REMOVE)
		self.but.set_use_stock(True)
		self.pack_end(self.but, expand=False, fill=False)
		self.show_all()
		
		
if __name__ == '__main__':
	import os
	md = MusicDirectory(os.environ['HOME'])
	gtk.HBox().pack_start(md)
